<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>
                Constraint Descriptor
                <h:outputText
                        value=" : #{constraintDescriptorBean.selectedConstraint.name} (type: #{constraintDescriptorBean.selectedConstraint.type}, kind: #{constraintDescriptorBean.selectedConstraint.kind})"
                        rendered="#{constraintDescriptorBean.selectedConstraint != null}"/>
            </h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml"
                         rendered="#{constraintDescriptorBean.selectedConstraint != null}">
                <ui:define name="panel_title">Constraint : #{constraintDescriptorBean.selectedConstraint.name}
                </ui:define>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Constraint Name</ui:define>
                        <h:outputText
                                value="#{constraintDescriptorBean.selectedConstraint.name} (type: #{constraintDescriptorBean.selectedConstraint.type}, kind: #{constraintDescriptorBean.selectedConstraint.kind})"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Constraint Class</ui:define>
                        <h:outputLink
                                value="../classes/classDescriptor.seam?name=#{constraintDescriptorBean.selectedConstraint.classType.name}&amp;pack=#{constraintDescriptorBean.selectedConstraint.classType.mbPackage.name}"
                                target="_blank">
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.classType.name}"
                                          style="font-style: italic;"/>
                        </h:outputLink>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Package</ui:define>
                        <h:outputText value="#{constraintDescriptorBean.selectedConstraint.classType.mbPackage.name} "/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Description</ui:define>
                        <h:outputText value="#{constraintDescriptorBean.selectedConstraint.description} "/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">OCL</ui:define>
                        <pre>
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.ocl}"/>
                        </pre>
                    </s:decorate>
                </dl>
                <gri:panel rendered="#{not constraintDescriptorBean.selectedConstraint.assertion.isEmpty()}">
                    <f:facet name="header">List Assertions</f:facet>
                    <rich:list var="ass" value="#{constraintDescriptorBean.selectedConstraint.assertion}"
                               type="unordered">
                        <h:outputLink
                                value="#{applicationConfiguration.getValueOfVariable('assertion_manager_url')}/rest/testAssertion/assertion?assertionId=#{ass.assertionId}&amp;idScheme=#{ass.idScheme}"
                                target="_blank">
                            <h:outputText
                                    value="#{applicationConfiguration.getValueOfVariable('assertion_manager_url')}/rest/testAssertion/assertion?assertionId=#{ass.assertionId}&amp;idScheme=#{ass.idScheme}"
                                    style="font-style: italic;"/>
                        </h:outputLink>
                    </rich:list>
                </gri:panel>
                <gri:panel rendered="#{constraintDescriptorBean.selectedConstraint.svsref.size() &gt; 0}">
                	<f:facet name="header">SVS references</f:facet>
                	 <rich:list var="svs" value="#{constraintDescriptorBean.selectedConstraint.svsref}" type="unordered">
                        <h:outputLink
                                value="#{applicationConfiguration.getValueOfVariable('svs_simulator_restful_url')}?id=#{svs}"
                                target="_blank">
                            <h:outputText value="#{svs}" style="font-style: italic;"/>
                        </h:outputLink>
                    </rich:list>
                </gri:panel>
                	
                <gri:panel rendered="#{constraintDescriptorBean.selectedConstraint.history != null}">	
                    <f:facet name="header">Constraint history</f:facet>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{constraintDescriptorBean.selectedConstraint.author != null}">
                            <ui:define name="label">Author</ui:define>
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.author} "/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{constraintDescriptorBean.selectedConstraint.dateCreation != null}">
                            <ui:define name="label">Date Creation</ui:define>
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.dateCreation} "/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{constraintDescriptorBean.selectedConstraint.history != null}">
                            <ui:define name="label">History</ui:define>
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.history} "/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{constraintDescriptorBean.selectedConstraint.lastChange != null}">
                            <ui:define name="label">Last Change</ui:define>
                            <h:outputText value="#{constraintDescriptorBean.selectedConstraint.lastChange} "/>
                        </s:decorate>
                    </dl>
                </gri:panel>
            </ui:decorate>
            <h:outputText rendered="#{constraintDescriptorBean.selectedConstraint ==null}"
                          value="No constraint exists with the specified attributes"/>
        </h:form>
    </ui:define>
</ui:composition>
